Pbm Compliance Manager Pbm Fetch Rollup Compliance Result

Pbm Compliance Manager Pbm Fetch Rollup Compliance Result
Retrieves the rollup compliance (*PbmRollupComplianceResult*) of the given virtual machines if present.

Retrieves the rollup compliance (PbmRollupComplianceResult) of the given virtual machines if present.

The returned rollup compliance result may be old. Invoke checkRollupCompliance API to compute and retrieve the latest rollup compliance result. For storage entities placed on vSAN the returned compliance is always the latest.

Required privileges: StorageProfile.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/pbm/PbmComplianceManager/{moId}/PbmFetchRollupComplianceResult
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case PbmComplianceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
Required

Show optional properties

{
    "entity": [
        {
            "objectType": "string",
            "key": "string"
        }
    ]
}
{
    "entity": [
        {
            "_typeName": "string",
            "objectType": "string",
            "key": "string",
            "serverUuid": "string"
        }
    ]
}
array of object
entity
Required

One or more virtual machines. A maximum of 1000 virtual machines can be specified in a call. The results of calling the fetchRollupComplianceResult API with more than a 1000 entity objects is undefined.

Authentication
This operation uses the following authentication methods.
Responses
200

Rollup compliance results for the given virtual machines.

[
    {
        "_typeName": "string",
        "oldestCheckTime": "string",
        "entity": {
            "_typeName": "string",
            "objectType": "string",
            "key": "string",
            "serverUuid": "string"
        },
        "overallComplianceStatus": "string",
        "overallComplianceTaskStatus": "string",
        "result": [
            {
                "_typeName": "string",
                "checkTime": "string",
                "entity": {
                    "_typeName": "string",
                    "objectType": "string",
                    "key": "string",
                    "serverUuid": "string"
                },
                "profile": {
                    "_typeName": "string",
                    "uniqueId": "string"
                },
                "complianceTaskStatus": "string",
                "complianceStatus": "string",
                "mismatch": false,
                "violatedPolicies": [
                    {
                        "_typeName": "string",
                        "expectedValue": {
                            "_typeName": "string",
                            "id": {
                                "_typeName": "string",
                                "namespace": "string",
                                "id": "string"
                            },
                            "constraint": [
                                {
                                    "_typeName": "string",
                                    "propertyInstance": [
                                        {
                                            "_typeName": "string",
                                            "id": "string",
                                            "operator": "string",
                                            "value": {
                                                "_typeName": "string"
                                            }
                                        }
                                    ]
                                }
                            ]
                        },
                        "currentValue": {
                            "_typeName": "string",
                            "id": {
                                "_typeName": "string",
                                "namespace": "string",
                                "id": "string"
                            },
                            "constraint": [
                                {
                                    "_typeName": "string",
                                    "propertyInstance": [
                                        {
                                            "_typeName": "string",
                                            "id": "string",
                                            "operator": "string",
                                            "value": {
                                                "_typeName": "string"
                                            }
                                        }
                                    ]
                                }
                            ]
                        }
                    }
                ],
                "errorCause": [
                    {
                        "_typeName": "string",
                        "faultCause": {
                            "_typeName": "string",
                            "faultCause": "MethodFault Object",
                            "faultMessage": [
                                {
                                    "_typeName": "string",
                                    "key": "string",
                                    "arg": [
                                        {
                                            "_typeName": "string",
                                            "key": "string",
                                            "value": {
                                                "_typeName": "string"
                                            }
                                        }
                                    ],
                                    "message": "string"
                                }
                            ]
                        },
                        "faultMessage": [
                            {
                                "_typeName": "string",
                                "key": "string",
                                "arg": [
                                    {
                                        "_typeName": "string",
                                        "key": "string",
                                        "value": {
                                            "_typeName": "string"
                                        }
                                    }
                                ],
                                "message": "string"
                            }
                        ]
                    }
                ],
                "operationalStatus": {
                    "_typeName": "string",
                    "healthy": false,
                    "operationETA": "string",
                    "operationProgress": 0,
                    "transitional": false
                },
                "info": {
                    "_typeName": "string",
                    "label": "string",
                    "summary": "string",
                    "key": "string",
                    "messageCatalogKeyPrefix": "string",
                    "messageArg": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ]
                }
            }
        ],
        "errorCause": [
            {
                "_typeName": "string",
                "faultCause": "MethodFault Object",
                "faultMessage": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "arg": [
                            {
                                "_typeName": "string",
                                "key": "string",
                                "value": {
                                    "_typeName": "string"
                                }
                            }
                        ],
                        "message": "string"
                    }
                ]
            }
        ],
        "profileMismatch": false
    }
]
array of object
Optional

The PbmRollupComplianceResult data object identifies the virtual machine for which rollup compliance was checked, and it contains the overall status and a list of compliance result objects.

This structure may be used only with operations rendered under /pbm.


500

InvalidArgument: If one of the following situations occurs:

  • There is no profile associated with the virtual machine or its virtual disks.
  • You specify only datastores or virtual disks.
  • All of the specified virtual machines are invalid.

PbmFault: If there is an internal server error.

Returns PbmFault of type(s) application/json
This response body class contains all of the following: MethodFault
{
    "_typeName": "string",
    "faultCause": "MethodFault Object",
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"entity":["object"]}' https://{api_host}/sdk/vim25/{release}/pbm/PbmComplianceManager/{moId}/PbmFetchRollupComplianceResult